Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.admin.event
Class EntryEvent

    java.lang.Object
      org.blojsom.event.Event
          org.blojsom.plugin.admin.event.EntryEvent

Direct Known Subclasses:
  CommentEvent, EntryAddedEvent, EntryDeletedEvent, EntryUpdatedEvent, PingbackEvent, ProcessEntryEvent, TrackbackEvent

public class EntryEvent
extends Event

EntryEvent

Since:
  blojsom 3.0
Version:
  $Id: EntryEvent.java,v 1.1 2006/03/20 21:30:49 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`protected Blog` | `_blog`
`protected Entry` | `_entry`

Fields inherited from class org.blojsom.event.Event
`_eventHandled, _source, _timestamp`

Constructor Summary
`EntryEvent(java.lang.Object source, java.util.Date timestamp, Entry entry, Blog blog)` Create a new event indicating something happened with an entry in the system.

Method Summary
`Blog` | `getBlog()` Retrieve the `Blog` associated with the event
`Entry` | `getEntry()` Retrieve the `Entry` associated with the event

Methods inherited from class org.blojsom.event.Event
`getSource, getTimestamp, isEventHandled, setEventHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _entry

    protected Entry _entry

### _blog

    protected Blog _blog

Constructor Detail

### EntryEvent

    public EntryEvent(java.lang.Object source,
                      java.util.Date timestamp,
                      Entry entry,
                      Blog blog)

  Create a new event indicating something happened with an entry in the system.

Parameters:
  `source` - Source of the event
  `timestamp` - Event timestamp
  `entry` - `Entry`
  `blog` - `Blog`

Method Detail

### getEntry

    public Entry getEntry()

  Retrieve the `Entry` associated with the event

  Returns:
    `Entry`

### getBlog

    public Blog getBlog()

  Retrieve the `Blog` associated with the event

  Returns:
    `Blog`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD